| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxPropertyGridHitTestResult Class Reference

`#include <wx/propgrid/propgridpagestate.h>`

## Detailed Description

# wxPropertyGridHitTestResult

A return value from wxPropertyGrid::HitTest(), contains all you need to know about an arbitrary location on the grid.

## Public Member Functions

| wxPropertyGridHitTestResult ()
| ~wxPropertyGridHitTestResult ()
int | GetColumn () const
| Returns column hit. More...
wxPGProperty * | GetProperty () const
| Returns property hit. More...
int | GetSplitter () const
| Returns index of splitter hit, -1 for none. More...
int | GetSplitterHitOffset () const
| If splitter hit, then this member function returns offset to the exact splitter position. More...

## Constructor & Destructor Documentation

wxPropertyGridHitTestResult::wxPropertyGridHitTestResult | ( |  | ) |

wxPropertyGridHitTestResult::~wxPropertyGridHitTestResult | ( |  | ) |

## Member Function Documentation

int wxPropertyGridHitTestResult::GetColumn | ( |  | ) | const

Returns column hit.

-1 for margin.

wxPGProperty* wxPropertyGridHitTestResult::GetProperty | ( |  | ) | const

Returns property hit.

NULL if empty space below properties was hit instead.

int wxPropertyGridHitTestResult::GetSplitter | ( |  | ) | const

Returns index of splitter hit, -1 for none.

int wxPropertyGridHitTestResult::GetSplitterHitOffset | ( |  | ) | const

If splitter hit, then this member function returns offset to the exact splitter position.